<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_CADASTRAR_DOCS_FISCAIS == 1) {

    class ClientesDocumentosFiscaisController extends GxController {

        public function actionCreate() {

            $id_cliente = isset($_POST['IdCliente']) ? $_POST['IdCliente'] : '';
            $cliente = Clientes::model()->findByPk($id_cliente);
            $de = Util::getCampoVazio($cliente->listDocumentosFiscais(true));

            ClientesDocumentosFiscais::model()->deleteAll('CDF_IDCLIENTE=:RedId', array(':RedId' => $id_cliente));

            if (isset($_POST['documento']) && is_array($_POST['documento'])) {
                foreach ($_POST['documento'] as $id_documento => $documento) {
                    $model = new ClientesDocumentosFiscais;
                    $model->CDF_IDCLIENTE = $id_cliente;
                    $model->CDF_IDDOCUMENTO = $documento;
                    $model->save();
                }
            }
            $cliente = Clientes::model()->findByPk($id_cliente);
            $para = Util::getCampoVazio($cliente->listDocumentosFiscais(true));

            if($de != $para) {
                $cliente->atendimentoDocumentosFiscais($de, $para, User::getId());
                Yii::app()->user->setFlash('success', 'Alterações salvas com sucesso.');
            } else {
                Yii::app()->user->setFlash('error', 'Nenhuma alteração a ser salva.');
            }
            $redir = (isset($_POST['redirect']) && in_array($_POST['redirect'], array('view', 'savview', 'posvendas_view'))) ? $_POST['redirect'] : 'view';
            $this->redirect(array('clientes/'.$redir, 'id' => $id_cliente, 'page' => 'documentos-fiscais'));
        }

    }

}